Index: tmp/org.txm.partition.core/src/org/txm/partition/core/functions/PartitionDimensions.java
===================================================================
--- tmp/org.txm.partition.core/src/org/txm/partition/core/functions/PartitionDimensions.java	(revision 411)
+++ tmp/org.txm.partition.core/src/org/txm/partition/core/functions/PartitionDimensions.java	(revision 412)
@@ -9,6 +9,8 @@
 import java.util.List;
 
 import org.txm.chartsengine.core.results.ChartResult;
+import org.txm.core.results.TXMParameters;
+import org.txm.functions.ProgressWatcher;
 import org.txm.partition.core.messages.PartitionCoreMessages;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.Corpus;
@@ -124,5 +126,6 @@
 		// TODO Auto-generated method stub
 		
 	}
-	
+
+
 }
Index: tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/r/RPartitionDimensionsBarChartCreator.java
===================================================================
--- tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/r/RPartitionDimensionsBarChartCreator.java	(revision 411)
+++ tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/r/RPartitionDimensionsBarChartCreator.java	(revision 412)
@@ -5,7 +5,7 @@
 
 import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
 import org.txm.core.preferences.TXMPreferences;
-import org.txm.core.results.ITXMResult;
+import org.txm.core.results.TXMResult;
 import org.txm.chartsengine.r.core.RChartCreator;
 import org.txm.chartsengine.r.core.RChartsEngine;
 import org.txm.partition.core.chartsengine.base.Utils;
@@ -26,21 +26,21 @@
 	}
 
 	@Override
-	public Object createChart(ITXMResult result, String preferencesNode) {
+	public Object createChart(TXMResult result) {
 		return null;
 	}
 
 	
 	@Override
-	public File createChartFile(ITXMResult result, File file, String preferencesNode) {
+	public File createChartFile(TXMResult result, File file) {
 
 		try {
 			
 			PartitionDimensions partitionDimensions = (PartitionDimensions) result;
 			
 			// parameters
-			boolean sortPartsBySize = TXMPreferences.getBoolean(preferencesNode, result, PartitionDimensionsPreferences.CHART_DIMENSIONS_SORTED_BY_SIZE);
-			boolean displayPartsCountInTitle = TXMPreferences.getBoolean(preferencesNode, result, PartitionDimensionsPreferences.CHART_DIMENSIONS_DISPLAY_PARTS_COUNT_IN_TITLE);
+			boolean sortPartsBySize = result.getBooleanParameterValue(PartitionDimensionsPreferences.CHART_DIMENSIONS_SORTED_BY_SIZE);
+			boolean displayPartsCountInTitle = result.getBooleanParameterValue(PartitionDimensionsPreferences.CHART_DIMENSIONS_DISPLAY_PARTS_COUNT_IN_TITLE);
 			
 			List<Part> parts = partitionDimensions.getParts(sortPartsBySize);
 			
@@ -68,12 +68,12 @@
 
 			// Create chart title
 			String title = "";
-			if(TXMPreferences.getBoolean(preferencesNode, result, ChartsEnginePreferences.SHOW_TITLE))	{
+			if(result.getBooleanParameterValue(ChartsEnginePreferences.SHOW_TITLE))	{
 				title = Utils.createPartitionDimensionsChartTitle(partitionDimensions, sortPartsBySize, displayPartsCountInTitle);
 			}
 
 			// colors
-			this.getChartsEngine().setColors(TXMPreferences.getInt(preferencesNode, result, ChartsEnginePreferences.RENDERING_COLORS_MODE),  1);
+			this.getChartsEngine().setColors(result.getIntParameterValue(ChartsEnginePreferences.RENDERING_COLORS_MODE),  1);
 			// FIXME: one color by part
 			//this.getChartsEngine().setColors(TXMPreferences.getInt(preferencesNode, resultData, ChartsEnginePreferences.RENDERING_COLORS_MODE),  parts.size());
 			
@@ -92,7 +92,7 @@
 			cmd += "barplot(" + ssizes + ", col=colors, names.arg=" + snames + //$NON-NLS-1$ //$NON-NLS-2$
 					", main=\"" + title + "\", horiz=F, las=2, ylab=\"" + ylab + "\");\n"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 
-			if(TXMPreferences.getBoolean(preferencesNode, result, ChartsEnginePreferences.SHOW_GRID))	{
+			if(result.getBooleanParameterValue(ChartsEnginePreferences.SHOW_GRID))	{
 				cmd += this.getChartsEngine().getGridPlotCmd();
 			}
 			
Index: tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/r/RPartitionDimensionsPieChartCreator.java
===================================================================
--- tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/r/RPartitionDimensionsPieChartCreator.java	(revision 411)
+++ tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/r/RPartitionDimensionsPieChartCreator.java	(revision 412)
@@ -5,7 +5,7 @@
 
 import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
 import org.txm.core.preferences.TXMPreferences;
-import org.txm.core.results.ITXMResult;
+import org.txm.core.results.TXMResult;
 import org.txm.chartsengine.r.core.RChartCreator;
 import org.txm.chartsengine.r.core.RChartsEngine;
 import org.txm.partition.core.chartsengine.base.Utils;
@@ -26,21 +26,21 @@
 	}
 
 	@Override
-	public Object createChart(ITXMResult result, String preferencesNode) {
+	public Object createChart(TXMResult result) {
 		return null;
 	}
 
 	
 	@Override
-	public File createChartFile(ITXMResult result, File file, String preferencesNode) {
+	public File createChartFile(TXMResult result, File file) {
 
 		try {
 			
 			PartitionDimensions partitionDimensions = (PartitionDimensions) result;
 
 			// parameters
-			boolean sortPartsBySize = TXMPreferences.getBoolean(preferencesNode, result, PartitionDimensionsPreferences.CHART_DIMENSIONS_SORTED_BY_SIZE);
-			boolean displayPartsCountInTitle = TXMPreferences.getBoolean(preferencesNode, result, PartitionDimensionsPreferences.CHART_DIMENSIONS_DISPLAY_PARTS_COUNT_IN_TITLE);
+			boolean sortPartsBySize = result.getBooleanParameterValue(PartitionDimensionsPreferences.CHART_DIMENSIONS_SORTED_BY_SIZE);
+			boolean displayPartsCountInTitle = result.getBooleanParameterValue(PartitionDimensionsPreferences.CHART_DIMENSIONS_DISPLAY_PARTS_COUNT_IN_TITLE);
 			
 			List<Part> parts = partitionDimensions.getParts(sortPartsBySize);
 			
@@ -67,7 +67,7 @@
 			ssizes += ")"; //$NON-NLS-1$
 
 			String title = "";
-			if(TXMPreferences.getBoolean(preferencesNode, result, ChartsEnginePreferences.SHOW_TITLE))	{
+			if(result.getBooleanParameterValue(ChartsEnginePreferences.SHOW_TITLE))	{
 				title = Utils.createPartitionDimensionsChartTitle(partitionDimensions, sortPartsBySize, displayPartsCountInTitle);
 			}
 			
Index: tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/jfreechart/JFCPartitionDimensionsBarChartCreator.java
===================================================================
--- tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/jfreechart/JFCPartitionDimensionsBarChartCreator.java	(revision 411)
+++ tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/jfreechart/JFCPartitionDimensionsBarChartCreator.java	(revision 412)
@@ -12,7 +12,7 @@
 import org.jfree.data.xy.XYSeriesCollection;
 import org.txm.chartsengine.core.ChartsEngine;
 import org.txm.core.preferences.TXMPreferences;
-import org.txm.core.results.ITXMResult;
+import org.txm.core.results.TXMResult;
 import org.txm.chartsengine.jfreechart.core.JFCChartCreator;
 import org.txm.chartsengine.jfreechart.core.renderers.interfaces.IRendererWithItemSelection;
 import org.txm.chartsengine.jfreechart.core.themes.base.ExtendedNumberAxis;
@@ -35,7 +35,7 @@
 	}
 
 	@Override
-	public JFreeChart createChart(ITXMResult result, String preferencesNode) {
+	public JFreeChart createChart(TXMResult result) {
 
 		JFreeChart chart = null;
 
@@ -54,7 +54,7 @@
 	}
 
 	@Override
-	public void updateChart(Object chart, ITXMResult result, String preferencesNode) {
+	public void updateChart(Object chart, TXMResult result) {
 		
 		PartitionDimensions partitionDimensions = (PartitionDimensions) result;
 		JFreeChart jfcChart = (JFreeChart) chart;
@@ -64,8 +64,8 @@
 		
 		
 		// parameters
-		boolean sortPartsBySize = TXMPreferences.getBoolean(preferencesNode, result, PartitionDimensionsPreferences.CHART_DIMENSIONS_SORTED_BY_SIZE);
-		boolean displayPartsCountInTitle = TXMPreferences.getBoolean(preferencesNode, result, PartitionDimensionsPreferences.CHART_DIMENSIONS_DISPLAY_PARTS_COUNT_IN_TITLE);
+		boolean sortPartsBySize = result.getBooleanParameterValue(PartitionDimensionsPreferences.CHART_DIMENSIONS_SORTED_BY_SIZE);
+		boolean displayPartsCountInTitle = result.getBooleanParameterValue(PartitionDimensionsPreferences.CHART_DIMENSIONS_DISPLAY_PARTS_COUNT_IN_TITLE);
 		
 		// Fill the data set
 		XYSeriesCollection dataset = (XYSeriesCollection) jfcChart.getXYPlot().getDataset();
@@ -98,7 +98,7 @@
 		
 		
 		
-		super.updateChart(chart, result, preferencesNode);
+		super.updateChart(chart, result);
 
 		
 		// Subtitle
Index: tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/jfreechart/JFCPartitionDimensionsPieChartCreator.java
===================================================================
--- tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/jfreechart/JFCPartitionDimensionsPieChartCreator.java	(revision 411)
+++ tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/jfreechart/JFCPartitionDimensionsPieChartCreator.java	(revision 412)
@@ -4,7 +4,7 @@
 import org.jfree.chart.JFreeChart;
 import org.jfree.data.general.DefaultPieDataset;
 import org.txm.core.preferences.TXMPreferences;
-import org.txm.core.results.ITXMResult;
+import org.txm.core.results.TXMResult;
 import org.txm.chartsengine.jfreechart.core.JFCChartCreator;
 import org.txm.partition.core.chartsengine.base.Utils;
 import org.txm.partition.core.functions.PartitionDimensions;
@@ -24,13 +24,13 @@
 	}
 
 	@Override
-	public Object createChart(ITXMResult result, String preferencesNode) {
+	public Object createChart(TXMResult result) {
 		
 		PartitionDimensions partitionDimensions = (PartitionDimensions) result;
 		
 		// parameters
-		boolean sortPartsBySize = TXMPreferences.getBoolean(preferencesNode, result, PartitionDimensionsPreferences.CHART_DIMENSIONS_SORTED_BY_SIZE);
-		boolean displayPartsCountInTitle = TXMPreferences.getBoolean(preferencesNode, result, PartitionDimensionsPreferences.CHART_DIMENSIONS_DISPLAY_PARTS_COUNT_IN_TITLE);
+		boolean sortPartsBySize = result.getBooleanParameterValue(PartitionDimensionsPreferences.CHART_DIMENSIONS_SORTED_BY_SIZE);
+		boolean displayPartsCountInTitle = result.getBooleanParameterValue(PartitionDimensionsPreferences.CHART_DIMENSIONS_DISPLAY_PARTS_COUNT_IN_TITLE);
 
 		
 		JFreeChart chart = null;
